Index: tests/regression/Tesselation/TriangleMatcher/pre/convex.dat
===================================================================
--- tests/regression/Tesselation/TriangleMatcher/pre/convex.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
+++ tests/regression/Tesselation/TriangleMatcher/pre/convex.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -0,0 +1,5 @@
+# stuff before the actual tesselation
+1. 1. 1.
+
+1 2 3
+4 5 6
Index: tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat
===================================================================
--- tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
+++ tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -0,0 +1,5 @@
+# stuff before the actual tesselation
+1. 1. 1.
+
+1 2 10
+4 9 2
Index: tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat
===================================================================
--- tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
+++ tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -0,0 +1,5 @@
+# stuff before the actual tesselation
+1. 1. 1.
+
+1 3 2
+6 5 4
Index: tests/regression/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at
===================================================================
--- tests/regression/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
+++ tests/regression/Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at	(revision 7d146a387231de6a2198a250dbdbab1f1e9076bd)
@@ -0,0 +1,35 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2015 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### trianglematcher helper
+
+AT_SETUP([Tesselation - TriangleMather])
+AT_KEYWORDS([Tesselation trianglematcher])
+
+# matches
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 0, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 0, [ignore], [ignore])
+
+# no matches
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex.dat], 1, [ignore], [ignore])
+AT_CHECK([../../trianglematcher ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_none.dat ${abs_top_srcdir}/tests/regression/Tesselation/TriangleMatcher/pre/convex_other.dat], 1, [ignore], [ignore])
+
+AT_CLEANUP
